@charset "utf-8";
	.url {
		word-break:break-all;	/* 自動リンクのはみ出しを防ぐ */
	}
	.headtitle {
		display: table-cell;
		margin: 0;
		padding: 0.2em;
		color: white;
		line-height: 1;
	}

		.maintitle {
			margin: 0;
		}
		
		.maintitle a {
			color: white;
			text-decoration: none;
		}
		
		.maintitle a:hover {
			color: #ffa;
			text-decoration: underline;	
		}

		.subtitle {
			display: inline-block;
			font-size: 0.55em;
		}

		.mainguide {
			margin: 3px 0 0 0;
			line-height: 1.2;
		}


	.headcontrol {
		display: table-cell;
		text-align: center;
		vertical-align: middle;
		padding: 0 3px;		
	}

		.searcharea {
			margin: 0.25em;
			padding: 0.25em;
			background-color: #dfd;
		}

		.searcharea .cornertitle {
			font-weight: bold;
			margin: 0;
			color: #36c;
			text-shadow: 1px 1px 1px white;
		}

			.searchbox {
				margin: 0;
			}
				.queryinput {
					border: 2px solid #8a8;
					border-radius: 0.5em;
					font-size: 1em;
					padding: 0.25em 0.5em;
				}
				.searchbox .submitbutton {
					background-color: green;
					border: 1px solid green;
					font-size: 0.9em;
					padding: 0.15em 0.67em;
					border-radius: 1em;
					font-weight: bold;
					color: white;
					display: inline-block;
					margin: 0 0 0 3px;
				}
				.searchbox .submitbutton:hover {
					background-color: #0c0;
					color: white;
				}

			.searchtarget {
				margin: 0;
				font-size: 0.9em;
				line-height: 1.3;
			}

	/* ----------------------------------------- */
	/* ▼ヘッダ領域：画面の横幅が800px以上の場合 */
	/* ----------------------------------------- */
	@media all and (min-width: 800px) {
		.headcontrol {
			white-space: nowrap;	/* ヘッダ領域のボタン部分を横並びに強制する */
		}

		.mainguide {
			line-height: 1;	
		}
	}

	/* ----------------------------------------- */
	/* ▼ヘッダ領域：画面の横幅が480px以下の場合 */
	/* ----------------------------------------- */
	@media all and (max-width: 480px) {

		/* タイトルとボタンの段組は解消 */
		.headtitle { display: block; }
		.headcontrol { display: inline-block; }

		.subtitle {
			font-size: 0.35em;
			vertical-align: middle;
		}
		.mainguide {
			font-size: 0.8em;
			line-height: 1.25;
		}
	}


/* ======================== */
/* ■入力フォームの表示領域 */		/* ※これはQUICKPOST用です。新規投稿専用画面や編集画面ではCGI内蔵のCSSが使われるため、ここの記述は適用されません。 */
/* ======================== */
.postform {
	background-color: #eee;
	margin: 1em;
	padding: 1em;
}
.postform p {
	margin: 0;
}
	/* ------------ */
	/* ▼本文入力欄 */
	/* ------------ */
	textarea.tegalogpost {
		border: 2px green solid;
		border-radius: 0.67em;
		background-color: white;
		font-size: 0.9rem;
		padding: 0.5em;
		margin-bottom: 0.25em;
		box-sizing: border-box;
		width: 100%;
		height: 4.3em;
		overflow-wrap: break-word;
		overflow: auto;
	}
		/* ▽プレースホルダ(※入力文字数がゼロの際にだけ見える薄文字)の装飾 */
		textarea.tegalogpost:placeholder-shown { color: #777; }
		textarea.tegalogpost:focus:placeholder-shown { color: #bbb; }
		textarea.tegalogpost:-ms-input-placeholder { color: #aaa; }

	/* ------------------------------------------------ */
	/* ▼投稿コントロール部分(ボタンや字数カウンタなど) */
	/* ------------------------------------------------ */
	.line-control {
		margin: 0.25em 0;
	}

	/* ------------ */
	/* ▼投稿ボタン */
	/* ------------ */
	.postbutton {
		display: inline-block;
		background: green;
		color: white;
		font-size: 1rem;
		font-weight: bold;
		text-decoration: none;
		padding: 0.25em 0.75em;
		border: 1px solid green;
		border-radius: 1em;
	}
	
	.postbutton:hover {
		background-color: #00cc00;
	}

	/* ------------------ */
	/* ▼文字装飾ボタン群 */	/* ★Ver 1.4.0以降で使用 */
	/* ------------------ */
	.decoBtns { display: inline-block; margin-top: 0.5em; }
	.decoBtns input { min-width: 32px; min-height: 28px; margin:1px; background-color:#eee; border: 1px solid #aaa; cursor: pointer; border-radius: 3px; font-size: 14px; vertical-align: middle; }
	.decoBtns input:hover { background-color:#e5f1fb; border-color: #0078d7; }
	.decoBtnB { font-weight: bold; }
	.decoBtnD { text-decoration: line-through; text-decoration-color: red; text-decoration-style: double; }
	.decoBtnE { font-weight: bold; color: blue; }
	.decoBtnI { font-style: italic; }
	.decoBtnQ {  }
	.decoBtnS {  }
	.decoBtnT { font-size: 11px !important; }
	.decoBtnU { text-decoration: underline; text-decoration-color: red; }
	.decoBtnC { color: red; }
	.decoBtnM { color: blue; }

	@media all and (min-width: 800px) {
		.decoBtns { margin-top: 0; }
	}

	/* -------------------------------- */
	/* ▼カテゴリ選択チェックボックス群 */	/* ★Ver 3.0.0以降で使用 */
	/* -------------------------------- */
	.catChecks { font-size:0.9em; padding-top: 0.5em; }
	.catChecks label { display:inline-block; cursor:pointer; margin:0 0.75em 0 0; }
	.catChecks label:hover { text-decoration:underline; }
	.catChecks input { min-width:0; min-height:0; margin-right:0.2em; }

	/* 投稿欄下部：「鍵付き」チェックボックスと「個別鍵」ボタンの間を詰める一時的なスタイル */
	.funcUIs .catChecks { margin:0 0.75em 0 0; }
	.funcUIs .catChecks label { margin: 0; }


/* ====================== */
/* ■メイン(ログ掲載)領域 */
/* ====================== */
.mainarea {
	margin: 1em;
	padding: 0;
}

	/* ------------------------------------------ */
	/* ▼表示対象の限定時などの「限定条件」表示行 */
	/* ------------------------------------------ */

	.situation:empty { display: none; }	/* 限定表示がない場合は存在自体を消す */

	/* -------------- */
	/* ▼日付境界バー */
	/* -------------- */
	.dateseparator {
		background-color: #0a0;
		color: white;
		padding: 2px 1em;
	}

	.dateseparator::before {
		content: '▼';			/* 何も付け加えたくない場合はこの1行を消して下さい */
	}

	.dateseparator a {
		display: inline-block;
		margin-left: 1.5em;
		color: #ffc;
		font-size: 0.75em;
		font-weight: normal;
		border: 1px solid #ffc;
		border-radius: 1em;	
		padding: 0px 1em;
		text-decoration: none;
		vertical-align:middle;
	}

	.dateseparator a:hover {
		background-color: #cec;
		color: green;
		border-color: skyblue;
	}


/* ================================ */
/* ■投稿ボックス(一発言)ごとの表示 */	/* ※この領域は、内側スキンで生成しているHTMLに対する装飾です。 */
/* ================================ */
.onelogbox {
	display: inline-block;
	width: 100%;
	vertical-align: top;
	margin: 0 auto;
	padding: 1.2em;
	font-size: 0.95em;
}

	/* ---------------- */
	/* ▼投稿情報(Head) */
	/* ---------------- */
	.oneloghead {
		margin: 0;
	}

		/* ………………… */
		/* ▼投稿番号部分 */
		/* ………………… */
		.memonum {
			margin: 0.3em 0;
			font-size: 0.8em;
			color: gray;
		}

		.memonum a {
			text-decoration: none;
		}

		.memonum a:hover {
			color: red;
		}

		/* ……………………… */
		/* ▼投稿日時のリンク */
		/* ……………………… */
		.postdate {
			display: inline-block;
			font-size: 0.9em;
		}

		.newsign {
			display: inline-block;
			color: #f55;
			margin-right: 0.35em;
		}

		.pictcount {
			font-size: 0.8em;
		}

	/* -------------------- */
	/* ▼投稿画像＋本文抜粋 */
	/* -------------------- */
	.onelogmain {
		margin: 0;
/*		min-height: 220px;*/
	}

		/* ……………………… */
		/* ▼先頭画像掲載部分 */
		/* ……………………… */
		.imagebox {
			margin: 0;
		}

			/* ▽画像ボックス(FIGオプション指定時) */
			.embeddedpictbox {
				margin: 0;
				padding: 0;
				display: table;				/* テーブル化(キャプションの配置制御のため) */
				border-collapse: collapse;	/* displayをinline-tableにする場合に必要 */
				vertical-align: top;
			}
				/* キャプション */
				.embeddedpictbox figcaption {
					display: table-caption;
					caption-side: top;
					font-size: 0.8em;
					text-align: center;
					background-color: #e0eee0;
				}

				/* 画像ボックスに含まれる画像 */
				.embeddedpictbox img {
					vertical-align: middle;
				}

			/* ▽画像リンク */
			.imagelink {
				display: inline-block;
				line-height: 1;				/* 表示形態によっては画像の下に余計な空白が出るのを防ぐ対策 */
				vertical-align: inherit;
			}

			/* ▽画像そのもの */
			.embeddedimage {
				max-width: 100%;
				max-height: 240px;
				width: auto;	/* 横幅を固定したい場合を除いて、ここは auto のままにするのがお勧め */
				height: auto;	/* 高さを固定したい場合を除いて、ここは auto のままにするのがお勧め */
			}

			/* ▽フラグ付き画像 (※設定や採用記法によって出力パターンが複数あるため、あらゆるパターンに対応させるべく同じスタイルを2重に指定しています。) */
			figure.nsfw {
				overflow: hidden;
			}
			.imagelink.nsfw {
				overflow: hidden;
			}
			img.nsfw {
				filter: blur(9px);
			}

		/* ------------------ */
		/* ▼投稿本文抜粋部分 */
		/* ------------------ */
		.onelogtext {
			line-height: 1.3;
			overflow-wrap: break-word;
		}

			.arrowlink {
				display: inline-block;
				text-align: center;
				text-decoration: none;
				border-radius: 50%;
				line-height: 1;
				height: 1em;
				width: 1em;
			}

			.onelogtext .taglink {
				text-decoration: none;
				font-size: 0.75em;
				padding: 0 0.25em;
				background-color:#eee;
				border: 1px solid #aaa;
				border-radius: 3px;
				vertical-align: middle;
			}

			.categories {
			}
				.categorylink {
					text-decoration: none;
					font-size: 0.75em;
					padding: 0 0.25em;
					background-color:#eee;
					border: 1px solid #aaa;
					border-radius: 3px;
					vertical-align: middle;
				}
				/* ▽カテゴリ間のセパレータ */
				.catseparator {
					display: inline-block;
					color: #ccc;
				}

					.categoryicon img {
						height: 1.2em;
						width: auto;
						vertical-align: text-top;
						margin: 0 1px;
					}

	/* ---------------- */
	/* ▼投稿情報(Foot) */
	/* ---------------- */
	.onelogfoot {
		margin: 0;
		padding: 3px 0;
		text-align: right;
		font-size: 0.8em;
	}

			.username {
				display: block;
				padding-top: 4px;
			}

			.postuserid {
				margin: 0 0.3em;
			}

			.postuserid a {
				text-decoration: none;
				color: inherit;
			}

			.postuserid a:hover {
				text-decoration: underline;
			}

			.usericon {
				width: 16px;
				height: 16px;
				vertical-align: -10%;
			}

			.editlink a {
				display: inline-block;
				font-size: 0.82em;
				color: black;
				text-decoration: none;
				background-color: #eee;
				border: 1px solid #ccc;
				border-radius: 0.5em;
				padding: 0 0.5em;
			}

			.editlink a:hover {
				color: white;
				background-color: #08f;
				border-color: #08f;
			}

	/* ------------------------------ */
	/* ▼画面幅が狭い場合の上書き装飾 */
	/* ------------------------------ */
	@media all and (max-width: 480px) {
		/* ▼投稿情報カラム */
		.onelogside {
			width: 64px;
		}
		/* ▼投稿本文 */
		.comment {
			margin-left: 0.3em;
			line-height: 1.45;
		}
	}


/* ====================================================================== */
/* ■一発言だけが表示される際に追加表示されるユーティリティリンク群の装飾 */	/* 各投稿の個別ページでのみ表示される囲みナビ用の装飾です。表示項目の取捨選択や詳細な装飾方法は https://www.nishishi.com/cgi/tegalog/custom/#customizecss-utilitylinkbox をご覧下さい。 */
/* ====================================================================== */
.utilitylinks {
	margin: 2em 1em 1em 1em;
	padding: 0.5em;
	border: 1px solid #7a7;
	border-radius: 1em;
	background-color: #efd;
	font-size: 0.9em;
}

.utilitylinks ul {
	color: darkgreen;
}

.pagenavi {
	margin: 2.5em 0px;
	padding: 0.5em 0px;
	text-align: center;
	border-width: 3px 0px;
	text-align: center;
}

	.pagelinks {
		margin: 0.15em;
	}

	.pagelinks a {
		font-weight: bold;
	}

	p.pagenums {
		margin: 0.5em;
	}

	.pagenums a.pagenumlink {
		margin: 0px 2px 0px 2px;
		padding: 0.2em 0.5em;
		font-size: 1em;
		font-weight: bold;
	}

	a.pagenumhere {
		text-decoration: none;
		background-color: green;
		color: white;
		border-radius: 1em;
	}

	a.pagenumlink:hover {
		text-decoration: none;
		background-color: #aa0000;
		color: white;
		border-radius: 0.3em;
	}

	/* ------------------------------------ */
	/* ▼限定解除リンク(＝HOMEに戻るリンク) */
	/* ------------------------------------ */
	.pagehome {
		margin: 0.15em;
		font-weight: bold;
	}

.subarea {
	margin: 1em;
	padding: 0 1em;
	background-color: #cec;
	border: 1px dotted green;
}

	.freespacearea {
		margin: 0;
		padding: 0;
	}
	.freespacearea .cornertitle {
		margin: 0;
		font-weight: bold;
		color: #aa5;
		text-shadow: 1px 1px 1px white;
	}
		.freespacebody {
			margin: 0.5em 0;
			padding: 0.75em;
			background-color: #efe;
			border-radius: 0.5em;
			line-height: 1.5;
		}

		.freespaceedit {
			margin: 0;
			text-align: right;
			font-size: 0.75em;
		}

/* ========================== */
/* ■ページ最下部(フッタ)領域 */
/* ========================== */
	/* ▼戻るリンク */
	.backlink {
		text-align: center;
		margin: 0.5em;
	}

	/* 著作権表示(Poweredby)のデザイン */
	.poweredby { margin: 2em 1em 0px 1em; font-size: 0.8em; }


/* End of file */
.taglink[title="R18"] + .imagebox img { filter: blur(.5rem); }


.onelogmain {
	position:relative;
}
.imagelink {
	pointer-events: none;
}
.arrowlink {
	width:100%;
	height:100%;
	display:block;
	top:0;
	left:0;
	position:absolute;
}